<template>
	<!-- #################  S-LE-02  #################### -->
	<div class="frame-content">
		<a href="" @click.prevent="$emit('remove')">
			<i class=" ti-trash trash-content"></i>
		</a>
		<span class="float-option-detail">
			<b>{{ index +1 }} de {{ length }} páginas</b>
		</span>
		<span class="float-option-detail hidden-sm-down">{{ config.id }}</span>
		<div class="float-option-image"><img class="" :src="config.portrait"></div>
		<form class="form-material " data-vv-scope="form-builder">
			<div class="form-group row">
				<div class="col-sm-12">				
					<div class="col-sm-8">
						<input type="name" name="sle02-title" v-validate="'required'" class="form-control form-control-lg" id="input" placeholder="Título" v-model="value.title">
						<span v-show="errors.has('form-builder.sle02-title')" class="form-control-feedback danger-message">Este campo es requerido.</span>
					</div>
					<div class="col-sm-4 col-md-3 pull-right" id="reading-time">
						<i class="ti-timer" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tiempo de lectura en seg." ></i>
						<input type="number" min="0" max="25" name="sle02-readingTime" id="input" placeholder="T. Lectura" class="form-control " v-validate="'required'" v-model="value.readingTime" aria-required="true" aria-invalid="false"> 
						<span v-show="errors.has('form-builder.sle02-readingTime')" class="form-control-feedback danger-message">Este campo es requerido.</span>
					</div>
				</div>
				<div class="col-sm-6 mt-2">
					<textarea class="form-control form-control-lg"  name="sle02-body" v-validate="'required'" id="exampleTextarea" placeholder="Descripción del contenedor" rows="8" v-model="value.body"></textarea>
					<span v-show="errors.has('form-builder.sle02-body')" class="form-control-feedback danger-message">Este campo es requerido.</span>
				</div>
				<div class="col-sm-6" data-toggle="modal" data-target=".large-modal" @click="toggleGallery()">
					<!-- <label>Imagen</label> --><br>
					<span :class="imgTypeStyle">
						<b><small data-toggle="tooltip" data-placement="top" title="" data-original-title="Toma en cuenta estos datos al guardar la imágen."> 
							{{ _name }} 
						</small></b>
					</span>
					<div class=" img-div-content">
						<img :src="value.img" alt="">
					</div>
				</div>

				<div class="col-sm-12 mt-2">
                    <a class="note-content-icon" data-toggle="collapse" :href="`#${config.props.id}-${index}`" aria-expanded="false" :aria-controls="`${config.props.id}-${index}`">
                        <div class="note-content">
                            <h2>
                                <i class="ti-arrow-circle-down"></i> Mis apuntes
                            </h2>
                        </div>
                    </a>
                    <div class="collapse" :id="`${config.props.id}-${index}`">
                        <textarea class="form-control form-control" placeholder="Tus apuntes: Guiones, Audios, explicaciones de diseño etc." rows="5" v-model="value.notes"></textarea>
                    </div>
                </div>
			</div>
		</form>
	</div>
</template>

<script>	
import { mapGetters } from 'vuex'
import { config } from './config'

export default {
	name: config.component,
	props: {
		...config.props,
		length: {
			type: Number,
		},
		index: {
			type: Number,
		},
		fileuploadedinfo: {
			type: Object,
		},
		uploadableindex: {
			type: Number
		},
		uploadableindexin: {
			type: Number
		},

	},
	data() {
		return {
			config,
			file_url : ''
		}
	},
	computed: {
		...mapGetters(['courseBuilderInfo', 'tempSessionBuilderWeek']),
		_name(){
			let name = ''
				let week_index   = this.tempSessionBuilderWeek < 10 ? `0${this.tempSessionBuilderWeek + 1}` : this.tempSessionBuilderWeek + 1 
				let courseAcronym = this.courseBuilderInfo.name.slice(0, 3).toUpperCase();
				let media_index  = this.uploadableindex < 10 ? `0${this.uploadableindex + 1}` : this.uploadableindex + 1 
				name = `SEM-${week_index}-${courseAcronym}-${media_index}`
				this.value.imgName = name
			if(! this.isEditing){
				return name
			}
			else{
				return this.value.imgName == '' ? this.value.imgName : name
			}
		},
		imgTypeStyle(){
            return this.value.imgType == 'reference' ? 'float-option-detail-reference' : this.value.imgType == 'default' ? 'float-option-detail-2' :'float-option-detail-final'
        },
	},	
	methods: {
		toggleGallery(){
			this.$emit('togglegallery', {trigger: this.index, mediaIndex: this.uploadableindex, name: this._name, current_image: this.value.img})
		}
	}
}
</script>
<style>
.float-option-detail-reference {
    background: #20b9ae;
    padding: 3px 14px;
    color: #fff;
    /*left: -8%;*/
    top: 10px;
    left: 5px;
    position: relative;
    border-radius: 6px;
    width: 100%;
    z-index: 5;
}
.float-option-detail-final {
    background: #43b968;
    padding: 3px 14px;
    color: #fff;
    /*left: -8%;*/
    top: 10px;
    left: 5px;
    position: relative;
    border-radius: 6px;
    width: 100%;
    z-index: 5;
}
</style>
